export default class TrustReadonlyMap<K, V> {
    #private;
    constructor(entries: Map<K, V>);
    get size(): number;
    get(key: K): V | undefined;
    has(key: K): boolean;
    keys(): IterableIterator<K>;
    values(): IterableIterator<V>;
    entries(): IterableIterator<[K, V]>;
    forEach(callback: (value: V, key: K, map: TrustReadonlyMap<K, V>) => void): void;
    [Symbol.iterator](): IterableIterator<[K, V]>;
}
